# Uses of Class
java.net.URI

Packages that use URI
Package
Description
com.sun.net.httpserver
Provides a simple high-level Http server API, which can be used to build embedded HTTP servers.
com.sun.security.auth.login
Provides an implementation of `Configuration`.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.desktop
Provides interfaces and classes for interaction with various desktop capabilities.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.lang.module
Classes to support module descriptors and creating configurations of modules by means of resolution and service binding.
java.net
Provides the classes for implementing networking applications.
java.net.http
HTTP Client and WebSocket APIs
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.attribute
Provides classes and interfaces that describe the types of Java Print Service attributes and how they can be collected into attribute sets.
javax.print.attribute.standard
Package `javax.print.attribute.standard` contains classes for specific printing attributes.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
jdk.security.jarsigner
This package defines APIs for signing jar files.

- ## Uses of URI in com.sun.net.httpserver

  Methods in com.sun.net.httpserver that return URI
  Modifier and Type
  Method
  Description
  `abstract URI`
  HttpExchange.`getRequestURI()`
  Returns the request `URI`.
  `URI`
  Request.`getRequestURI()`
  Returns the request `URI`.

- ## Uses of URI in com.sun.security.auth.login

  Constructors in com.sun.security.auth.login with parameters of type URI
  Modifier
  Constructor
  Description
  ``
  `ConfigFile(URI uri)`
  Create a new `Configuration` object from the specified `URI`.

- ## Uses of URI in java.awt

  Methods in java.awt with parameters of type URI
  Modifier and Type
  Method
  Description
  `void`
  Desktop.`browse(URI uri)`
  Launches the default browser to display a `URI`.
  `void`
  Desktop.`mail(URI mailtoURI)`
  Launches the mail composing window of the user default mail client, filling the message fields specified by a `mailto:` URI.

- ## Uses of URI in java.awt.desktop

  Methods in java.awt.desktop that return URI
  Modifier and Type
  Method
  Description
  `URI`
  OpenURIEvent.`getURI()`
  Get the `URI` the app was asked to open.
  Constructors in java.awt.desktop with parameters of type URI
  Modifier
  Constructor
  Description
  ``
  `OpenURIEvent(URI uri)`
  Constructs an `OpenURIEvent`.

- ## Uses of URI in java.io

  Methods in java.io that return URI
  Modifier and Type
  Method
  Description
  `URI`
  File.`toURI()`
  Constructs a `file:` URI that represents this abstract pathname.
  Constructors in java.io with parameters of type URI
  Modifier
  Constructor
  Description
  ``
  `File(URI uri)`
  Creates a new `File` instance by converting the given `file:` URI into an abstract pathname.

- ## Uses of URI in java.lang.module

  Methods in java.lang.module that return types with arguments of type URI
  Modifier and Type
  Method
  Description
  `Optional<URI>`
  ModuleReader.`find(String name)`
  Finds a resource, returning a URI to the resource in the module.
  `final Optional<URI>`
  ModuleReference.`location()`
  Returns the location of this module's content, if known.
  Constructors in java.lang.module with parameters of type URI
  Modifier
  Constructor
  Description
  `protected`
  `ModuleReference(ModuleDescriptor descriptor, URI location)`
  Constructs a new instance of this class.

- ## Uses of URI in java.net

  Classes in java.net that implement interfaces with type arguments of type URI
  Modifier and Type
  Class
  Description
  `final class`
  `URI`
  Represents a Uniform Resource Identifier (URI) reference.
  Methods in java.net that return URI
  Modifier and Type
  Method
  Description
  `static URI`
  URI.`create(String str)`
  Creates a URI by parsing the given string.
  `URI`
  URI.`normalize()`
  Normalizes this URI's path.
  `URI`
  URI.`parseServerAuthority()`
  Attempts to parse this URI's authority component, if defined, into user-information, host, and port components.
  `URI`
  URI.`relativize(URI uri)`
  Relativizes the given URI against this URI.
  `URI`
  URI.`resolve(String str)`
  Constructs a new URI by parsing the given string and then resolving it against this URI.
  `URI`
  URI.`resolve(URI uri)`
  Resolves the given URI against this URI.
  `URI`
  URL.`toURI()`
  Returns a `URI` equivalent to this URL.
  Methods in java.net that return types with arguments of type URI
  Modifier and Type
  Method
  Description
  `List<URI>`
  CookieStore.`getURIs()`
  Get all URIs which identify the cookies in this cookie store.
  Methods in java.net with parameters of type URI
  Modifier and Type
  Method
  Description
  `void`
  CookieStore.`add(URI uri, HttpCookie cookie)`
  Adds one HTTP cookie to the store.
  `int`
  URI.`compareTo(URI that)`
  Compares this URI to another object, which must be a URI.
  `abstract void`
  ProxySelector.`connectFailed(URI uri, SocketAddress sa, IOException ioe)`
  Called to indicate that a connection could not be established to a proxy/socks server.
  `abstract Map<String, List<String>>`
  CookieHandler.`get(URI uri, Map<String, List<String>> requestHeaders)`
  Gets all the applicable cookies from a cookie cache for the specified uri in the request header.
  `Map<String, List<String>>`
  CookieManager.`get(URI uri, Map<String, List<String>> requestHeaders)`
  `List<HttpCookie>`
  CookieStore.`get(URI uri)`
  Retrieve cookies associated with given URI, or whose domain matches the given URI.
  `abstract CacheResponse`
  ResponseCache.`get(URI uri, String rqstMethod, Map<String, List<String>> rqstHeaders)`
  Retrieve the cached response based on the requesting uri, request method and request headers.
  `static URL`
  URL.`of(URI uri, URLStreamHandler handler)`
  Creates a URL from a URI, as if by invoking `uri.toURL()`, but associating it with the given `URLStreamHandler`, if allowed.
  `abstract void`
  CookieHandler.`put(URI uri, Map<String, List<String>> responseHeaders)`
  Sets all the applicable cookies, examples are response header fields that are named Set-Cookie2, present in the response headers into a cookie cache.
  `void`
  CookieManager.`put(URI uri, Map<String, List<String>> responseHeaders)`
  `abstract CacheRequest`
  ResponseCache.`put(URI uri, URLConnection conn)`
  The protocol handler calls this method after a resource has been retrieved, and the ResponseCache must decide whether or not to store the resource in its cache.
  `URI`
  URI.`relativize(URI uri)`
  Relativizes the given URI against this URI.
  `boolean`
  CookieStore.`remove(URI uri, HttpCookie cookie)`
  Remove a cookie from store.
  `URI`
  URI.`resolve(URI uri)`
  Resolves the given URI against this URI.
  `abstract List<Proxy>`
  ProxySelector.`select(URI uri)`
  Selects all the applicable proxies based on the protocol to access the resource with and a destination address to access the resource at.
  `boolean`
  CookiePolicy.`shouldAccept(URI uri, HttpCookie cookie)`
  Will be called to see whether or not this cookie should be accepted.

- ## Uses of URI in java.net.http

  Methods in java.net.http that return URI
  Modifier and Type
  Method
  Description
  `abstract URI`
  HttpRequest.`uri()`
  Returns this request's `URI`.
  `URI`
  HttpResponse.`uri()`
  Returns the `URI` that the response was received from.
  Methods in java.net.http with parameters of type URI
  Modifier and Type
  Method
  Description
  `CompletableFuture<WebSocket>`
  WebSocket.Builder.`buildAsync(URI uri, WebSocket.Listener listener)`
  Builds a `WebSocket` connected to the given `URI` and associated with the given `Listener`.
  `static HttpRequest.Builder`
  HttpRequest.`newBuilder(URI uri)`
  Creates an `HttpRequest` builder with the given URI.
  `HttpRequest.Builder`
  HttpRequest.Builder.`uri(URI uri)`
  Sets this `HttpRequest`'s request `URI`.

- ## Uses of URI in java.nio.file

  Methods in java.nio.file that return URI
  Modifier and Type
  Method
  Description
  `URI`
  Path.`toUri()`
  Returns a URI to represent this path.
  Methods in java.nio.file with parameters of type URI
  Modifier and Type
  Method
  Description
  `static Path`
  Paths.`get(URI uri)`
  Converts the given URI to a `Path` object.
  `static FileSystem`
  FileSystems.`getFileSystem(URI uri)`
  Returns a reference to an existing `FileSystem`.
  `static FileSystem`
  FileSystems.`newFileSystem(URI uri, Map<String,?> env)`
  Constructs a new file system that is identified by a `URI`
  `static FileSystem`
  FileSystems.`newFileSystem(URI uri, Map<String,?> env, ClassLoader loader)`
  Constructs a new file system that is identified by a `URI`
  `static Path`
  Path.`of(URI uri)`
  Returns a `Path` by converting a URI.

- ## Uses of URI in java.nio.file.spi

  Methods in java.nio.file.spi with parameters of type URI
  Modifier and Type
  Method
  Description
  `abstract FileSystem`
  FileSystemProvider.`getFileSystem(URI uri)`
  Returns an existing `FileSystem` created by this provider.
  `abstract Path`
  FileSystemProvider.`getPath(URI uri)`
  Return a `Path` object by converting the given `URI`.
  `abstract FileSystem`
  FileSystemProvider.`newFileSystem(URI uri, Map<String,?> env)`
  Constructs a new `FileSystem` object identified by a URI.

- ## Uses of URI in java.security

  Methods in java.security that return URI
  Modifier and Type
  Method
  Description
  `URI`
  DomainLoadStoreParameter.`getConfiguration()`
  Gets the identifier for the domain configuration data.
  `URI`
  URIParameter.`getURI()`
  Returns the URI.
  Constructors in java.security with parameters of type URI
  Modifier
  Constructor
  Description
  ``
  `DomainLoadStoreParameter(URI configuration, Map<String, KeyStore.ProtectionParameter> protectionParams)`
  Constructs a `DomainLoadStoreParameter` for a keystore domain with the parameters used to protect keystore data.
  ``
  `URIParameter(URI uri)`
  Constructs a `URIParameter` with the URI pointing to data intended for an SPI implementation.

- ## Uses of URI in java.security.cert

  Methods in java.security.cert that return URI
  Modifier and Type
  Method
  Description
  `URI`
  PKIXRevocationChecker.`getOcspResponder()`
  Gets the URI that identifies the location of the OCSP responder.
  `URI`
  URICertStoreParameters.`getURI()`
  Returns the URI used to construct this `URICertStoreParameters` object.
  Methods in java.security.cert with parameters of type URI
  Modifier and Type
  Method
  Description
  `void`
  PKIXRevocationChecker.`setOcspResponder(URI uri)`
  Sets the URI that identifies the location of the OCSP responder.
  Constructors in java.security.cert with parameters of type URI
  Modifier
  Constructor
  Description
  ``
  `URICertStoreParameters(URI uri)`
  Creates an instance of `URICertStoreParameters` with the specified URI.

- ## Uses of URI in javax.print

  Methods in javax.print that return URI
  Modifier and Type
  Method
  Description
  `URI`
  URIException.`getUnsupportedURI()`
  Returns the `URI`.

- ## Uses of URI in javax.print.attribute

  Methods in javax.print.attribute that return URI
  Modifier and Type
  Method
  Description
  `URI`
  URISyntax.`getURI()`
  Returns this `URI` attribute's `URI` value.
  Constructors in javax.print.attribute with parameters of type URI
  Modifier
  Constructor
  Description
  `protected`
  `URISyntax(URI uri)`
  Constructs a `URI` attribute with the specified `URI`.

- ## Uses of URI in javax.print.attribute.standard

  Constructors in javax.print.attribute.standard with parameters of type URI
  Modifier
  Constructor
  Description
  ``
  `Destination(URI uri)`
  Constructs a new destination attribute with the specified `URI`.
  ``
  `PrinterMoreInfo(URI uri)`
  Constructs a new printer more info attribute with the specified `URI`.
  ``
  `PrinterMoreInfoManufacturer(URI uri)`
  Constructs a new printer more info manufacturer attribute with the specified `URI`.
  ``
  `PrinterURI(URI uri)`
  Constructs a new `PrinterURI` attribute with the specified `URI`.

- ## Uses of URI in javax.tools

  Fields in javax.tools declared as URI
  Modifier and Type
  Field
  Description
  `protected final URI`
  SimpleJavaFileObject.`uri`
  A URI for this file object.
  Methods in javax.tools that return URI
  Modifier and Type
  Method
  Description
  `URI`
  FileObject.`toUri()`
  Returns a URI identifying this file object.
  `URI`
  ForwardingFileObject.`toUri()`
  `URI`
  SimpleJavaFileObject.`toUri()`
  Methods in javax.tools with parameters of type URI
  Modifier and Type
  Method
  Description
  `static JavaFileObject`
  SimpleJavaFileObject.`forSource(URI uri, String content)`
  Creates a `JavaFileObject` which represents the given source content.
  Constructors in javax.tools with parameters of type URI
  Modifier
  Constructor
  Description
  `protected`
  `SimpleJavaFileObject(URI uri, JavaFileObject.Kind kind)`
  Construct a SimpleJavaFileObject of the given kind and with the given URI.

- ## Uses of URI in javax.xml.catalog

  Methods in javax.xml.catalog with parameters of type URI
  Modifier and Type
  Method
  Description
  `static Catalog`
  CatalogManager.`catalog(CatalogFeatures features, URI... uris)`
  Creates a `Catalog` object using the specified feature settings and uri(s) to one or more catalog files.
  `static CatalogResolver`
  CatalogManager.`catalogResolver(CatalogFeatures features, URI... uris)`
  Creates an instance of a `CatalogResolver` using the specified feature settings and uri(s) to one or more catalog files.

- ## Uses of URI in jdk.security.jarsigner

  Methods in jdk.security.jarsigner that return URI
  Modifier and Type
  Method
  Description
  `URI`
  JarSigner.`getTsa()`
  Returns the URI of the Time Stamping Authority (TSA).
  Methods in jdk.security.jarsigner with parameters of type URI
  Modifier and Type
  Method
  Description
  `JarSigner.Builder`
  JarSigner.Builder.`tsa(URI uri)`
  Sets the URI of the Time Stamping Authority (TSA).